#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module	dugong
Summary:	A HTTP 1.1 client module
# Name must match the python module/package name (as in 'import' statement)
Name:		python3-%{module}
Version:	3.7.3
Release:	3
License:	PSF
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/d/dugong/dugong-%{version}.tar.bz2
# Source0-md5:	7e1b12a36da16bd3502858893e9555be
URL:		https://bitbucket.org/nikratio/python-dugong
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A HTTP 1.1 client module.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python3(\s|$),#!%{__python3}\1,' \
      examples/extract_links.py \
      examples/httpcat.py \
      examples/pipeline1.py

%build
%py3_build %{?with_tests:test}

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# in case there are examples provided
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Mar 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dugong.git;a=log;h=master

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> e54560d
- release 3 (by relup.sh)

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> cdc95f1
- fix shebangs
- noarch package

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 729bac1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 07 2018 Jan Rękorajski <baggins@pld-linux.org> 5158059
- up to 3.7.3

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dda8bd
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c9a09e5
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e88ca81
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 96df25a
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 33f684f
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e8a317
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c13fa8
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b4c95b0
- python 3.4
- release 2 (by relup.sh)

* Wed Sep 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 14aaeba
- up to 3.3

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ca271a9
- try without md5

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ef393d
- initial

